<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'autos',

    /*
     * Package.
     */
    'package'   => 'dealer',

    /*
     * Modules.
     */
    'modules'   => ['dealer'],

    
    'dealer'       => [
        'model' => [
            'model'                 => \Autos\Dealer\Models\Dealer::class,
            'table'                 => 'dealers',
            'presenter'             => \Autos\Dealer\Repositories\Presenter\DealerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'dealership_make',  'phone',  'website',  'email',  'opening_from',  'opening_to',  'location',  'dealer_type',  'social_media',  'description',  'images',  'slug',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'dealer/dealer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Autos',
            'package'   => 'Dealer',
            'module'    => 'Dealer',
        ],

    ],
];
