<?php

namespace Autos\Dealer;

use User;

class Dealer
{
    /**
     * $dealer object.
     */
    protected $dealer;

    /**
     * Constructor.
     */
    public function __construct(\Autos\Dealer\Interfaces\DealerRepositoryInterface $dealer)
    {
        $this->dealer = $dealer;
    }

    /**
     * Returns count of dealer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.dealer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->dealer->pushCriteria(new \Litepie\Autos\Repositories\Criteria\DealerUserCriteria());
        }

        $dealer = $this->dealer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('dealer::' . $view, compact('dealer'))->render();
    }
}
