<?php

namespace Autos\Dealer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DealerTransformer extends TransformerAbstract
{
    public function transform(\Autos\Dealer\Models\Dealer $dealer)
    {
        return [
            'id'                => $dealer->getRouteKey(),
            'key'               => [
                'public'    => $dealer->getPublicKey(),
                'route'     => $dealer->getRouteKey(),
            ], 
            'name'              => $dealer->name,
            'dealership_make'   => $dealer->dealership_make,
            'phone'             => $dealer->phone,
            'website'           => $dealer->website,
            'email'             => $dealer->email,
            'opening_from'      => $dealer->opening_from,
            'opening_to'        => $dealer->opening_to,
            'location'          => $dealer->location,
            'dealer_type'       => $dealer->dealer_type,
            'social_media'      => $dealer->social_media,
            'description'       => $dealer->description,
            'images'            => $dealer->images,
            'slug'              => $dealer->slug,
            'user_id'           => $dealer->user_id,
            'user_type'         => $dealer->user_type,
            'deleted_at'        => $dealer->deleted_at,
            'url'               => [
                'public'    => trans_url('dealer/'.$dealer->getPublicKey()),
                'user'      => guard_url('dealer/dealer/'.$dealer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$dealer->status),
            'created_at'        => format_date($dealer->created_at),
            'updated_at'        => format_date($dealer->updated_at),
        ];
    }
}